The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Attack Filters Assigned to a Domain and an Attack

Prev Next

This URL gets all the attack filters assigned to the domain for a specific attack.

Resource URL

GET /domain/<domain_id>/attackfilter/<attack_id>

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

domain_id

ID of domain in which the attack filter is created

Number

Yes

attack_id

Attack id to which attack filters are assigned

String

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

AttackFilterDescriptor

List of attack filters with basic details

Array

Details of object in AttackFilterDescriptor:

Field Name

Description

Data Type

VisibleToChild

Attack filter visible to child domain

Boolean

DomainId

ID of domain in which the attack filter was added

Number

IsEditable

If attack filter is editable

Boolean

LastModTs

Last modified time stamp

String

filterId

Attack filter id

Number

name

Attack filter name

String

Example

Request

GET https://<NSM_IP>/sdkapi/domain/0/attackfilter/0x40503900

Response

{
   "AttackFilterDescriptor": [
      {
         "VisibleToChild": true, 
         "name": "test1", 
         "IsEditable": false, 
         "filterId": 419, 
         "DomainId": 0, 
         "LastModTs": "2012-07-24 00:14:00"
      }, 
      {
         "VisibleToChild": true, 
         "name": "test2", 
         "IsEditable": false, 
         "filterId": 420, 
         "DomainId": 0, 
         "LastModTs": "2012-07-24 00:19:00"
      }
   ]
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1105

Invalid domain

2

404

1402

Invalid attack id